#ifndef SPI1_H_
#define SPI1_H_

#include <stdint.h>
#include <stdbool.h>

#include "spi.h"

#define SPI1_SSEL (0, 6)

#ifdef __cplusplus
	extern "C" {
#endif
		
void spi1_init(enum spi_mode_e mode, enum spi_wordlen_e wordlen, bool bAutoSelect, uint8_t divider);
#define spi1_enable() CLRPIN(SPI1_SSEL)
#define spi1_disable() SETPIN(SPI1_SSEL)
uint_fast16_t spi1_write(uint_fast16_t data);
void spi1_dummyWrite(uint_fast16_t length);
void spi1_readBlock(uint8_t* dest, uint_fast16_t length);
void spi1_writeBlock(uint8_t* src, uint_fast16_t length);

#ifdef __cplusplus
	}
#endif

#endif /*SPI1_H_*/
